Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 231141

Summary: Frequently switching VT causes lockup
Product: [Fedora] Fedora Reporter: Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus>
Component: xorg-x11-drv-i810Assignee: X/OpenGL Maintenance List <xgl-maint>
Status: CLOSED CURRENTRELEASE QA Contact: David Lawrence <dkl>
Severity: medium Docs Contact:
Priority: medium    
Version: 8CC: mcepl
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: f8 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-02-06 17:41:21 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Mohd Izhar Firdaus Ismail 2007-03-06 14:31:55 UTC
Description of problem:
Frequently switching X VT / Fast User Switching causes lockup. Processes that
connected to the X server still running but only a blank screen with a cursor
appear at the display. getty VT is also not accessible during the lockup. A look
at the Xorg log theres nothing that says X crashes. gdm-restart through SSH
releases the lockup. 

Version-Release number of selected component (if applicable):
Fedora 6.91 Rawhide

How reproducible:
Frequently

Steps to Reproduce:
1. Login
2. Switch VT .. lots of times

Actual results:
Lockup

Expected results:
Switch VT

Additional info:

My graphic card is i855GM using i810 driver. AIGLX is enabled. 

This is the tail of Xorg.0.log.old

--------------
(II) XINPUT: Adding extended input device "<default pointer>" (type: MOUSE)
(II) XINPUT: Adding extended input device "Keyboard0" (type: KEYBOARD)
(--) <default pointer>: PnP-detected protocol: "ExplorerPS/2"
(II) <default pointer>: ps2EnableDataReporting: succeeded
(II) AIGLX: Suspending AIGLX clients for VT switch
(WW) I810(0): Successfully set original devices
(WW) I810(0): Setting the original video mode instead of restoring
        the saved state
(--) I810(0): A non-CRT device is attached to pipe B.
        No refresh rate overrides will be attempted.
(WW) I810(0): Extended BIOS function 0x5f05 failed.
(II) I810(0): BIOS call 0x5f05 not supported, setting refresh with VBE 3 method.
(II) I810(0): xf86UnbindGARTMemory: unbind key 7
(II) I810(0): xf86UnbindGARTMemory: unbind key 0
(II) I810(0): xf86UnbindGARTMemory: unbind key 1
(II) I810(0): xf86UnbindGARTMemory: unbind key 3
(II) I810(0): xf86UnbindGARTMemory: unbind key 2
(II) I810(0): xf86UnbindGARTMemory: unbind key 4
(II) I810(0): xf86UnbindGARTMemory: unbind key 5
(II) I810(0): xf86UnbindGARTMemory: unbind key 6
(WW) I810(0): Successfully set original devices (2)
(II) I810(0): [drm] removed 1 reserved context for kernel
(II) I810(0): [drm] unmapping 8192 bytes of SAREA 0xf8c42000 at 0xb7fb4000

Comment 1 Dave Airlie 2007-10-15 12:04:50 UTC
can  you try with the intel rather than i810 driver?

Comment 2 Matěj Cepl 2008-01-21 15:47:02 UTC
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

Comment 3 Mohd Izhar Firdaus Ismail 2008-02-06 16:17:32 UTC
sorry for the late reply

the intel driver on F8 doesnt have this symptom anymore 

rawhide have similar problem but i guess its not related